com.aliyun.svideosdk.editor.draft

## Enum AliyunResType

- java.lang.Object
- - java.lang.Enum<AliyunResType>
  - - com.aliyun.svideosdk.editor.draft.AliyunResType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunResType>

      public enum AliyunResType
      extends java.lang.Enum<AliyunResType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO` the audio resource.
    `CONFIG` the config resources.
    `FONT` the font resource.
    `IMAGE` the image resource.
    `MV` the music video resources.
    `VIDEO` the video resource.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunResType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunResType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIDEO

          public static final AliyunResType VIDEO

      the video resource.

    - #### IMAGE

          public static final AliyunResType IMAGE

      the image resource.

    - #### AUDIO

          public static final AliyunResType AUDIO

      the audio resource.

    - #### FONT

          public static final AliyunResType FONT

      the font resource.

    - #### MV

          public static final AliyunResType MV

      the music video resources.

    - #### CONFIG

          public static final AliyunResType CONFIG

      the config resources.

  - ### Method Detail

    - #### values

          public static AliyunResType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunResType c : AliyunResType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunResType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null